By you using the software, Data, or documentation, you and the entity you represent, agree to all the terms and conditions of the below license ("License") between you and the entity you represent, and Innovative Policy Lab, dba Research Improving People's Lives ("RIPL"), 1 Park Row, Suite 401, Providence, Rhode Island 02903.  RIPL is the licensor granting you, the licensee, a license in accordance with the terms and conditions below.  If you do not fully agree to all the License terms and conditions below, then please do not use the software, Data or documentation.  You and the entity you represent, and RIPL may each be referred to as a "Party" and collectively as the "Parties."

# 1 SCOPE OF LICENSE

The scope of the license is as follows:

## For Non-Profit Organization

If you are a non-profit organization, then RIPL grants you a limited, perpetual, non-exclusive, royalty-free, non-assignable, non-transferrable, non-sublicensable, license to use this software, Data, and its documentation other than its incorporation into a commercial product.  This License is hereby granted without fee, provided that the above copyright notice and this permission notice appear in supporting documentation, and that the name of RIPL not be used in advertising or publicity pertaining to distribution of the software, Data, or documentation without express, written prior permission.  Notwithstanding the foregoing, if you are an academic researcher, whose sole purpose is to publish an academic research article (the "Academic Purposes") using RIPL's software, Data and/or documentation, and you are not connected with a for-profit organization, and/or you are not going to use RIPL's software, Data or documentation for any commercial purpose whatsoever, then in addition to the above license granted to a non-profit organization, you are granted the right to use, reverse engineer, and create derivative works of RIPL's software, Data, and documentation solely and exclusively for the Academic Purposes only.  Notwithstanding any of the foregoing, to the extent you create a derivative work pursuant to the terms herein, you shall provide RIPL a perpetual, worldwide, assignable, sub-licensable, royalty-free right to use such derivative work(s) for any lawful purpose.

## For Government Agency

If you are a government agency, then RIPL grants you a limited, perpetual, non-exclusive, royalty-free, non-assignable, non-transferrable, non-sublicensable, license to use this software, Data, and its documentation other than its incorporation into a commercial product.  This License is hereby granted without fee, provided that the above copyright notice and this permission notice appear in supporting documentation, and that the name of RIPL not be used in advertising or publicity pertaining to distribution of the software, Data, and documentation without express, written prior permission.  You agree you will not reverse engineer the software or create derivative works of the software, Data or documentation.

## For Profit Entity

If you are a for profit entity, then RIPL grants you a limited, perpetual, non-exclusive, non-assignable, non-transferrable, non-sublicensable, license to use, copy, sell, attempt to sell, distribute, and incorporate this software, Data, and documentation into your product for a fee set by RIPL.  You will be required to sign your agreement to additional RIPL written terms regarding the aforementioned license prior to using, copying, selling, attempting to sell, distributing, or incorporating this software, Data, and documentation into your product.  To be clear, the aforementioned license does not give you the right to sell or license the software, Data or documentation by itself.  This License is hereby granted after receipt by RIPL of the fee and signed additional terms and conditions by you or the entity your represent, provided that the above copyright notice and this permission notice appear in supporting documentation, and that the name of RIPL not be used in advertising or publicity pertaining to distribution of the software, Data and documentation without express, written prior permission.  You agree you will not reverse engineer the software or create derivative works of the software, Data or documentation.

# 2 Indemnification

You shall indemnify, defend and hold harmless, RIPL, it parent, subsidiaries and affiliates, and all their respective directors, officers, shareholders, employees, representatives, agents, consultants, from and against any and all claims, actions, damages, suits, liabilities, obligations, costs, fees, charges, and any other expenses whatsoever (Liabilities), including reasonable attorney fees and costs, arising from or related to this License, breach of this License, or you using the software, Data or documentation.  You shall obtain RIPL's express written consent prior to settling any Liabilities, and no settlement shall require RIPL to pay any money, do any action or refrain from doing any action or admit to any guilt or wrongdoing.  

# 3 Termination of the License

If you breach this License, RIPL may terminate this License with you, if you have not cured such breach within fifteen days of notice by RIPL.  

# 4 Additional Information

This software includes derived data, aggregate data, job posting data resources, and research outputs (altogether referred to as "Data") from RIPL's analysis of job posting data in the National Labor Exchange, accessed by agreement with the National Association of State Workforce Agencies ("NASWA").  Any derived data, aggregate data, job posting data resources, and research outputs are provided "as is." RIPL and NASWA make no warranties, express or implied, as to the work or products of work, including any express or implied warranties of non-infringement, ownership, merchantability, or fitness for a particular purpose of the data, research, or any invention or product.  The National Labor Exchange ("NLx") Data Trust bears no responsibility for the analyses or interpretations of the data presented here. The opinions expressed herein, including any implications for policy, are those of the author and not of the NLx Data Trust members.

This software includes summary statistics that were derived from RIPL's use of the Standardized Occupation Coding for Computer-assisted Epidemiological Research ("SOCcer") software from the National Cancer Institute ("NCI"), U.S. Department of Health and Human Services.  By policy of the NCI, all text within NCI products is free of copyright and may be reused without permission, as long as NCI is credited as the source. More information about
SOCcer is available in the following publication:

Russ DE, et al. 2016. Computer-based coding of free-text job descriptions to efficiently identify occupations in epidemiological studies. Occup. Environ. Med. 73(6): 417-424. https://doi.org/10.1136/oemed-2015-103152

This software includes information from the O\*NET 27.0 Database by the U.S. Department of Labor, Employment and Training Administration ("USDOL/ETA").  Used under the CC BY 4.0 license.  O\*NET® is a trademark of USDOL/ETA.  RIPL has modified some of this information.  USDOL/ETA has not approved, endorsed, or tested these modifications.  For more information on O\*NET 27.0 Database licensing, please see: https://www.onetcenter.org/license_db.html

This software includes information from the 2018 SOC Direct Match Title File, published in the public domain by the U.S. Bureau of Labor Statistics.  For more information, please see: https://www.bls.gov/soc/2018/home.htm

# 5 Disclaimer of Warranties

RIPL DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, DATA, AND ANY DOCUMENTATION, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR ANY PARTICULAR PURPOSE.  IN NO EVENT SHALL RIPL BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE, DATA OR DOCUMENTATION.

# 6 Limitation of Liability

EXCEPT FOR RIPL'S GROSS NEGILIGENCE OR WILLFUL MISCONDUCT, IN NO EVENT SHALL RIPL'S AGGREGATE LIABILITY EXCEED THE AMOUNTS ACTUALLY PAID BY YOU IN THE TWELVE (12) MONTH PERIOD IMMEDIATELY PRECEDING THE EVENT GIVING RISE TO SUCH CLAIM. IF NO SUCH AMOUNT WAS PAID, THEN THE MAXIMUM AMOUNT RIPL'S AGGREGATE LIABILITY SHALL BE, TWENTY DOLLARS ($20).  

# 7 Governing Law and Jurisdiction

This software, Data, documentation, and License and any dispute or claim (including non-contractual disputes or claims) arising out of or in connection with it or its subject matter or formation shall be governed by and construed in accordance with the law of the state of Rhode Island without any regard to any conflicts of law. The Parties irrevocably agree that any dispute arising out of or in connection with this License will be subject to and within the jurisdiction of the federal and state courts of Providence county, state of Rhode Island.  By using the software, Data, or documentation, you and the entity you represent, and RIPL consent to the exclusive jurisdiction of such court, and waive any right to challenge jurisdiction or venue in such court with regard to any suit, action, or proceeding under or in connection with the agreement.  You, the entity you represent and RIPL also hereby waive any right to trial by jury in connection with any suit, action, or proceeding under or in connection with the software or the License.

# 8 Survival and Headings

Sections 2 (Indemnification), 5 (Disclaimer of Warranties), 6 (Limitation of Liability), 7 (Governing Law and Jurisdiction), 8 (Survival and Headings), and the terms and conditions of this License which by their nature extend beyond expiration or termination of this Agreement shall survive the expiration or termination of this Agreement to the full extent necessary for their enforcement and for the protection of the Party in whose favor they operate.  The headings contained in this License are for reference purposes only and shall not affect in any way the meaning, interpretation of this License or agreement between the Parties.
